### File

`packages/components/directives/eui-scroll-handler.directive.ts`

### Metadata

Selector | `[euiScrollHandlerElement]`

### Index

###### Properties
Public navIsFixed
###### Methods
onWindowScroll
###### Inputs
euiScrollHandlerElement toggleActiveHeight toggleClass
###### HostListeners
window:scroll

### Inputs

euiScrollHandlerElement
Type : `string`

toggleActiveHeight
Type : `number`

toggleClass
Type : `string`

### HostListeners

window:scroll

### Methods

onWindowScroll
`onWindowScroll()`
Decorators : `@HostListener('window:scroll', undefined)`
Returns : `void`

### Properties

Public navIsFixed
Default value : `false`

# results matching ""

# No results matching ""